notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
FreshPorts needs to find a new hosting provide willing to take a 2U chassis and host it free of charge. This is part of the FreshPorts project. Preferably in the Austin area. This is not a primary server, but it used for development.
Port details
gitlab-ce Web GUI for managing git repositories
15.1.4_3 www on this many watch lists=13 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout Version of this port present on the latest quarterly branch.
Maintainer: mfechner@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2018-07-04 17:38:49
Last Update: 2022-08-03 21:35:13
Commit Hash: 4476f89
People watching this port, also watch:: openssh-portable, go, dovecot, nginx, tt-rss
Also Listed In: devel
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (3 items)
Collapse this list.
  1. /usr/local/share/licenses/gitlab-ce-15.1.4_3/catalog.mk
  2. /usr/local/share/licenses/gitlab-ce-15.1.4_3/LICENSE
  3. /usr/local/share/licenses/gitlab-ce-15.1.4_3/MIT
Collapse this list.
Dependency lines:
  • gitlab-ce>0:www/gitlab-ce
Conflicts:
CONFLICTS_INSTALL:
  • gitolite
  • gitolite2
  • gogs
  • gitea
  • gitosis
Conflicts Matches:
There are no Conflicts Matches for this port. This is usually an error.
To install the port:
cd /usr/ports/www/gitlab-ce/ && make install clean
To add the package, run one of these commands:
  • pkg install www/gitlab-ce
  • pkg install gitlab-ce
NOTE: If this package has multiple flavors (see below), then use one of them instead of the name specified above.
PKGNAME: gitlab-ce
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
gitlab-ce
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd6414.3.0_114.0.5
FreeBSD:11:armv6--
FreeBSD:11:i38614.3.0_114.0.5
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64-15.1.2
FreeBSD:12:amd6415.1.4_315.1.4
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i38615.1.4_315.1.4
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch6415.1.4_315.1.4
FreeBSD:13:amd6415.1.4_315.1.4
FreeBSD:13:armv6--
FreeBSD:13:armv715.1.4_315.1.2
FreeBSD:13:i38615.1.4_315.1.4
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:13:riscv64--
FreeBSD:14:aarch6415.1.4_3-
FreeBSD:14:amd6415.1.4_3-
FreeBSD:14:armv6--
FreeBSD:14:armv715.1.4_3-
FreeBSD:14:i38615.1.4_3-
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
FreeBSD:14:riscv64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. gem : devel/ruby-gems
  2. git>=2.32.0 : devel/git
  3. gitaly>=15.1.4 : devel/gitaly
  4. gitlab-elasticsearch-indexer>=3.0.0 : textproc/gitlab-elasticsearch-indexer
  5. gitlab-agent>=15.1.0 : net/gitlab-agent
  6. gitlab-metrics-exporter>0 : devel/gitlab-metrics-exporter
  7. gitlab-pages>=1.59.1 : www/gitlab-pages
  8. gitlab-shell>=14.7.4 : devel/gitlab-shell
  9. gitlab-workhorse>=15.1.4 : www/gitlab-workhorse
  10. redis>=6.0.14 : databases/redis
  11. yarn>=1.10.0 : www/yarn
  12. gtar>0 : archivers/gtar
  13. bash>0 : shells/bash
  14. rubygem-rails61>=6.1.6.0<6.1.7 : www/rubygem-rails61
  15. rubygem-bootsnap112>=1.12.0<1.13 : devel/rubygem-bootsnap112
  16. rubygem-responders-rails61>=3.0<4.0 : www/rubygem-responders-rails61
  17. rubygem-sprockets3>=3.7<3.8 : devel/rubygem-sprockets3
  18. rubygem-view_component-rails61>=2.50.0<2.51 : devel/rubygem-view_component-rails61
  19. rubygem-default_value_for>=3.4.0<3.5.0 : devel/rubygem-default_value_for
  20. rubygem-pg13>=1.3.5<1.4 : databases/rubygem-pg13
  21. rubygem-rugged>=1.2<2 : devel/rubygem-rugged
  22. rubygem-grape-path-helpers>=1.7.0<1.8 : devel/rubygem-grape-path-helpers
  23. rubygem-faraday1>=1.10.0<2 : www/rubygem-faraday1
  24. rubygem-marginalia>=1.10.0<1.11 : databases/rubygem-marginalia
  25. rubygem-declarative_policy>=1.1.0<1.2 : security/rubygem-declarative_policy
  26. rubygem-devise47-rails61>=4.7.2<4.8 : devel/rubygem-devise47-rails61
  27. rubygem-bcrypt>=3.1.14<3.2 : security/rubygem-bcrypt
  28. rubygem-doorkeeper>=5.5.0.rc2<5.6 : security/rubygem-doorkeeper
  29. rubygem-doorkeeper-openid_connect>=1.7.5<1.8 : security/rubygem-doorkeeper-openid_connect
  30. rubygem-rexml>=3.2.5<3.3 : textproc/rubygem-rexml
  31. rubygem-ruby-saml>=1.13.0<1.14 : security/rubygem-ruby-saml
  32. rubygem-omniauth1>=1.9.1<2.0 : security/rubygem-omniauth1
  33. rubygem-omniauth-auth0>=2.0.0<2.1.0 : net/rubygem-omniauth-auth0
  34. rubygem-omniauth-azure-activedirectory-v2>=1.0<2 : net/rubygem-omniauth-azure-activedirectory-v2
  35. rubygem-omniauth-azure-oauth2>=0.0.9<0.1.0 : net/rubygem-omniauth-azure-oauth2
  36. rubygem-omniauth-cas3>=1.1.4<1.2.0 : security/rubygem-omniauth-cas3
  37. rubygem-omniauth-dingtalk-oauth2>=1.0.1<2 : security/rubygem-omniauth-dingtalk-oauth2
  38. rubygem-omniauth-alicloud>=1.0.1<1.1 : security/rubygem-omniauth-alicloud
  39. rubygem-omniauth-facebook4>=4.0.0<4.1.0 : net/rubygem-omniauth-facebook4
  40. rubygem-omniauth-github>=1.4.0<2.0 : net/rubygem-omniauth-github
  41. rubygem-omniauth-gitlab>=1.0.2<1.1.0 : security/rubygem-omniauth-gitlab
  42. rubygem-omniauth-google-oauth2>=0.6.0<0.7.0 : net/rubygem-omniauth-google-oauth2
  43. rubygem-omniauth-oauth2-generic>=0.2.2<0.3.0 : security/rubygem-omniauth-oauth2-generic
  44. rubygem-omniauth-saml>=1.10<2.0 : security/rubygem-omniauth-saml
  45. rubygem-omniauth-shibboleth>=1.3.0<1.4.0 : security/rubygem-omniauth-shibboleth
  46. rubygem-omniauth-twitter>=1.4<2.0 : net/rubygem-omniauth-twitter
  47. rubygem-omniauth_crowd>=2.4.0<2.5 : devel/rubygem-omniauth_crowd
  48. rubygem-omniauth-authentiq>=0.3.3<0.4.0 : net/rubygem-omniauth-authentiq
  49. rubygem-gitlab-omniauth-openid-connect>=0.9.1<0.10.0 : net/rubygem-gitlab-omniauth-openid-connect
  50. rubygem-omniauth-ultraauth>=0.0.2<0.1.0 : net/rubygem-omniauth-ultraauth
  51. rubygem-omniauth-salesforce>=1.0.5<1.1.0 : net/rubygem-omniauth-salesforce
  52. rubygem-omniauth-atlassian-oauth2>=0.2.0<0.3 : security/rubygem-omniauth-atlassian-oauth2
  53. rubygem-rack-oauth2>=1.19.0<1.20.0 : security/rubygem-rack-oauth2
  54. rubygem-jwt21>=2.1.0<2.2.0 : www/rubygem-jwt21
  55. rubygem-gssapi>0 : security/rubygem-gssapi
  56. rubygem-recaptcha>=4.11<5.0 : devel/rubygem-recaptcha
  57. rubygem-akismet>=3.0<4.0 : devel/rubygem-akismet
  58. rubygem-invisible_captcha>=1.1.0<1.2.0 : graphics/rubygem-invisible_captcha
  59. rubygem-devise-two-factor-rails61>=4.0.2<4.1 : security/rubygem-devise-two-factor-rails61
  60. rubygem-rqrcode-rails3>=0.1.7<0.2.0 : www/rubygem-rqrcode-rails3
  61. rubygem-attr_encrypted>=3.1.0<3.2.0 : security/rubygem-attr_encrypted
  62. rubygem-u2f0>=0.2.1<0.3.0 : net/rubygem-u2f0
  63. rubygem-validates_hostname>=1.0.11<1.1.0 : dns/rubygem-validates_hostname
  64. rubygem-rubyzip>=2.3.2<2.4 : archivers/rubygem-rubyzip
  65. rubygem-acme-client>=2.0.9<3 : security/rubygem-acme-client
  66. rubygem-browser>=4.2<5.0 : www/rubygem-browser
  67. rubygem-ohai>=16.10<17 : sysutils/rubygem-ohai
  68. rubygem-gpgme>=2.0.20<2.1.0 : security/rubygem-gpgme
  69. rubygem-gitlab_omniauth-ldap>=2.1.1<2.2.0 : net/rubygem-gitlab_omniauth-ldap
  70. rubygem-net-ldap>0.16.3 : net/rubygem-net-ldap
  71. rubygem-grape15>=1.5.2<1.6 : devel/rubygem-grape15
  72. rubygem-grape-entity>=0.10.0<0.11.0,1 : devel/rubygem-grape-entity
  73. rubygem-rack-cors>=1.1.1<1.2.0 : www/rubygem-rack-cors
  74. rubygem-graphql>=1.13.12<1.14 : devel/rubygem-graphql
  75. rubygem-graphiql-rails>=1.8<2 : devel/rubygem-graphiql-rails
  76. rubygem-apollo_upload_server>=2.1.0<2.2 : net/rubygem-apollo_upload_server
  77. rubygem-graphql-docs>=1.6.0<1.7.0 : devel/rubygem-graphql-docs
  78. rubygem-graphlient>=0.5.0<0.6 : devel/rubygem-graphlient
  79. rubygem-hashie>=4.1.0 : devel/rubygem-hashie
  80. rubygem-hashie-forbidden_attributes>0 : devel/rubygem-hashie-forbidden_attributes
  81. rubygem-kaminari-rails61>=1.2.1<2.0 : www/rubygem-kaminari-rails61
  82. rubygem-hamlit>=2.15.0<2.16 : www/rubygem-hamlit
  83. rubygem-carrierwave>=1.3.2<2.0 : www/rubygem-carrierwave
  84. rubygem-mini_magick410>=4.10.1<4.11 : graphics/rubygem-mini_magick410
  85. rubygem-fog-aws>=3.14<4 : net/rubygem-fog-aws
  86. rubygem-fog-core210>=2.1.0<2.1.1 : devel/rubygem-fog-core210
  87. rubygem-fog-google>=1.15<2 : net/rubygem-fog-google
  88. rubygem-fog-local>=0.6<1.0 : net/rubygem-fog-local
  89. rubygem-fog-openstack>=1.0<2.0 : net/rubygem-fog-openstack
  90. rubygem-fog-rackspace>=0.1.1<1.2.0 : net/rubygem-fog-rackspace
  91. rubygem-fog-aliyun>=0.3<1.0 : net/rubygem-fog-aliyun
  92. rubygem-gitlab-fog-azure-rm>=1.3.0<1.4 : net/rubygem-gitlab-fog-azure-rm
  93. rubygem-google-api-client>=0.33<1 : devel/rubygem-google-api-client
  94. rubygem-unf>=0.1.4<0.2.0 : textproc/rubygem-unf
  95. rubygem-seed-fu>=2.3.7<2.4.0 : databases/rubygem-seed-fu
  96. rubygem-elasticsearch-model713>=7.2<8 : textproc/rubygem-elasticsearch-model713
  97. rubygem-elasticsearch-rails>=7.2<8 : textproc/rubygem-elasticsearch-rails
  98. rubygem-elasticsearch-api713>=7.13.3<7.13.4 : textproc/rubygem-elasticsearch-api713
  99. rubygem-aws-sdk-core>=3<4 : devel/rubygem-aws-sdk-core
  100. rubygem-aws-sdk-cloudformation>=1<2 : devel/rubygem-aws-sdk-cloudformation
  101. rubygem-aws-sdk-s3>=1<2 : devel/rubygem-aws-sdk-s3
  102. rubygem-faraday_middleware-aws-sigv403>=0.3.0<0.4 : devel/rubygem-faraday_middleware-aws-sigv403
  103. rubygem-typhoeus>=1.4.0<1.5 : www/rubygem-typhoeus
  104. rubygem-html-pipeline>=2.13.2<2.14 : textproc/rubygem-html-pipeline
  105. rubygem-deckar01-task_list=2.3.1 : www/rubygem-deckar01-task_list
  106. rubygem-gitlab-markup>=1.8.0<1.9.0 : textproc/rubygem-gitlab-markup
  107. rubygem-github-markup17>=1.7.0<1.8.0 : textproc/rubygem-github-markup17
  108. rubygem-commonmarker>=0.23.4<0.24 : textproc/rubygem-commonmarker
  109. rubygem-kramdown23>=2.3.1<2.4 : textproc/rubygem-kramdown23
  110. rubygem-redcloth>=4.3.2<4.4.0 : www/rubygem-redcloth
  111. rubygem-rdoc63>=6.3.2<7 : devel/rubygem-rdoc63
  112. rubygem-org-ruby>=0.9.12<0.10.0 : textproc/rubygem-org-ruby
  113. rubygem-creole>=0.5.0<0.6.0 : textproc/rubygem-creole
  114. rubygem-wikicloth081>=0.8.1<0.8.2 : textproc/rubygem-wikicloth081
  115. rubygem-asciidoctor>=2.0.15<2.1.0 : textproc/rubygem-asciidoctor
  116. rubygem-asciidoctor-include-ext>=0.4.0<0.5.0 : textproc/rubygem-asciidoctor-include-ext
  117. rubygem-asciidoctor-plantuml00>=0.0.12<0.1 : textproc/rubygem-asciidoctor-plantuml00
  118. rubygem-asciidoctor-kroki>=0.5.0<0.6 : textproc/rubygem-asciidoctor-kroki
  119. rubygem-rouge329>=3.29.0<3.30 : textproc/rubygem-rouge329
  120. rubygem-truncato>=0.7.11<0.8.0 : textproc/rubygem-truncato
  121. rubygem-bootstrap_form>=4.2.0<4.3.0 : devel/rubygem-bootstrap_form
  122. rubygem-nokogiri>=1.13.6<1.14 : textproc/rubygem-nokogiri
  123. rubygem-escape_utils>=1.1<2.0 : textproc/rubygem-escape_utils
  124. rubygem-icalendar>=0 : devel/rubygem-icalendar
  125. rubygem-diffy>=3.3<4 : textproc/rubygem-diffy
  126. rubygem-diff_match_patch>=0.1.0<0.2.0 : textproc/rubygem-diff_match_patch
  127. rubygem-rack223>=2.2.3.0<2.2.4 : www/rubygem-rack223
  128. rubygem-rack-timeout>=0.6.0<0.7 : www/rubygem-rack-timeout
  129. rubygem-puma>=5.6.2<5.7 : www/rubygem-puma
  130. rubygem-puma_worker_killer>=0.3.1 : www/rubygem-puma_worker_killer
  131. rubygem-sd_notify>=0.1.0<0.2 : devel/rubygem-sd_notify
  132. rubygem-state_machines-activerecord>=0.8.0<0.9.0 : databases/rubygem-state_machines-activerecord
  133. rubygem-acts-as-taggable-on>=9.0<10 : www/rubygem-acts-as-taggable-on
  134. rubygem-sidekiq64>=6.4<6.5 : devel/rubygem-sidekiq64
  135. rubygem-sidekiq-cron-sidekiq64>=1.2<2.0 : devel/rubygem-sidekiq-cron-sidekiq64
  136. rubygem-redis-namespace>=1.8.1<1.9.0 : databases/rubygem-redis-namespace
  137. rubygem-gitlab-sidekiq-fetcher>=0.8.0<0.9 : devel/rubygem-gitlab-sidekiq-fetcher
  138. rubygem-fugit12>=1.2.1<1.3.0 : devel/rubygem-fugit12
  139. rubygem-httparty>=0.16.4<1 : www/rubygem-httparty
  140. rubygem-rainbow>=3.1.1<4.0 : devel/rubygem-rainbow
  141. rubygem-ruby-progressbar>=1.11<2 : devel/rubygem-ruby-progressbar
  142. rubygem-settingslogic>=2.0.9<2.1.0 : devel/rubygem-settingslogic
  143. rubygem-re2>=1.4.0<1.5.0 : devel/rubygem-re2
  144. rubygem-version_sorter>=2.2.4<2.3.0 : textproc/rubygem-version_sorter
  145. rubygem-js_regex>=3.7<4.0 : textproc/rubygem-js_regex
  146. rubygem-device_detector>=0 : devel/rubygem-device_detector
  147. rubygem-redis44>=4.4.0<4.5 : databases/rubygem-redis44
  148. rubygem-connection_pool>=2.2.5<3.0 : net/rubygem-connection_pool
  149. rubygem-redis-actionpack52-rails61>=5.2.0<5.3 : databases/rubygem-redis-actionpack52-rails61
  150. rubygem-discordrb-webhooks>=3.4<4.0 : net-im/rubygem-discordrb-webhooks
  151. rubygem-jira-ruby21>=2.1.4<2.2 : devel/rubygem-jira-ruby21
  152. rubygem-atlassian-jwt>=0.2.0<0.3.0 : www/rubygem-atlassian-jwt
  153. rubygem-flowdock>=0.7<1.0 : www/rubygem-flowdock
  154. rubygem-slack-messenger>=2.3.4<2.4.0 : devel/rubygem-slack-messenger
  155. rubygem-hangouts-chat>=0.0.5<0.1.0 : net/rubygem-hangouts-chat
  156. rubygem-asana>=0.10.3<0.11 : www/rubygem-asana
  157. rubygem-ruby-fogbugz021>=0.2.1<0.3.0 : devel/rubygem-ruby-fogbugz021
  158. rubygem-kubeclient>=4.9.2<4.10.0 : www/rubygem-kubeclient
  159. rubygem-sanitize>=6.0<7 : textproc/rubygem-sanitize
  160. rubygem-babosa>=1.0.4<1.1.0 : textproc/rubygem-babosa
  161. rubygem-loofah>=2.16.0<3.0 : textproc/rubygem-loofah
  162. rubygem-licensee>=9.14.1<9.15 : devel/rubygem-licensee
  163. rubygem-charlock_holmes>=0.7.7<0.8.0 : textproc/rubygem-charlock_holmes
  164. rubygem-ruby-magic>=0.5.4<1 : devel/rubygem-ruby-magic
  165. rubygem-fast_blank>=0 : devel/rubygem-fast_blank
  166. rubygem-gitlab-chronic>=0.10.5<0.11.0 : devel/rubygem-gitlab-chronic
  167. rubygem-gitlab_chronic_duration>=0.10.6.2<0.10.7 : devel/rubygem-gitlab_chronic_duration
  168. rubygem-rack-proxy>=0.7.2<0.8.0 : www/rubygem-rack-proxy
  169. rubygem-sassc-rails-rails61>=2.1.0<2.2.0 : textproc/rubygem-sassc-rails-rails61
  170. rubygem-autoprefixer-rails1025>=10.2.5.1<10.2.6 : textproc/rubygem-autoprefixer-rails1025
  171. rubygem-terser>=1.0.2 : textproc/rubygem-terser
  172. rubygem-addressable>=2.8<3 : www/rubygem-addressable
  173. rubygem-tanuki_emoji>=0.6<1 : graphics/rubygem-tanuki_emoji
  174. rubygem-gon-rails61>=6.4.0<6.5 : www/rubygem-gon-rails61
  175. rubygem-request_store>=1.5.1<2.0 : devel/rubygem-request_store
  176. rubygem-base32>=0.3.0<0.4.0 : converters/rubygem-base32
  177. rubygem-gitlab-license>=2.1.0<2.2 : devel/rubygem-gitlab-license
  178. rubygem-rack-attack>=6.6.0<6.7 : www/rubygem-rack-attack
  179. rubygem-sentry-raven>=3.1<4.0 : devel/rubygem-sentry-raven
  180. rubygem-sentry-ruby>=5.1.1<5.2 : devel/rubygem-sentry-ruby
  181. rubygem-sentry-rails>=5.1.1<5.2 : devel/rubygem-sentry-rails
  182. rubygem-sentry-sidekiq>=5.1.1<5.2 : devel/rubygem-sentry-sidekiq
  183. rubygem-pg_query>=2.1.3<2.2 : databases/rubygem-pg_query
  184. rubygem-premailer-rails-rails61>=1.10.3<1.11 : mail/rubygem-premailer-rails-rails61
  185. rubygem-gitlab-labkit>=0.23.0<0.24 : devel/rubygem-gitlab-labkit
  186. rubygem-thrift>=0.14.0 : devel/rubygem-thrift
  187. rubygem-ruby_parser>=3.15<4.0 : devel/rubygem-ruby_parser
  188. rubygem-rails-i18n-rails61>=6.0<7.0 : devel/rubygem-rails-i18n-rails61
  189. rubygem-gettext_i18n_rails>=1.8.0<1.9.0 : devel/rubygem-gettext_i18n_rails
  190. rubygem-gettext_i18n_rails_js-rails61>=1.3<2.0 : devel/rubygem-gettext_i18n_rails_js-rails61
  191. rubygem-gettext>=3.3<4 : devel/rubygem-gettext
  192. rubygem-batch-loader>=2.0.1<2.1 : devel/rubygem-batch-loader
  193. rubygem-peek-rails61>=1.1.0<2.0 : devel/rubygem-peek-rails61
  194. rubygem-snowplow-tracker>=0.6.1<1 : devel/rubygem-snowplow-tracker
  195. rubygem-method_source>=1.0<2 : devel/rubygem-method_source
  196. rubygem-webrick>=1.6.1 : www/rubygem-webrick
  197. rubygem-prometheus-client-mmap>=0.15.0<0.16.0 : devel/rubygem-prometheus-client-mmap
  198. rubygem-warning>=1.2.0<1.3 : devel/rubygem-warning
  199. rubygem-gitlab-license_finder>=6.14.2.1<7 : devel/rubygem-gitlab-license_finder
  200. rubygem-gitlab-dangerfiles>=3.4.0<3.5 : devel/rubygem-gitlab-dangerfiles
  201. rubygem-octokit>=4.20<5.0 : net/rubygem-octokit
  202. rubygem-gitlab-mail_room>=0.0.9<0.1.0 : mail/rubygem-gitlab-mail_room
  203. rubygem-email_reply_trimmer>=0.1<1.0 : mail/rubygem-email_reply_trimmer
  204. rubygem-html2text>=0 : textproc/rubygem-html2text
  205. rubygem-ruby-prof>=1.3.0<1.4.0 : devel/rubygem-ruby-prof
  206. rubygem-stackprof>=0.2.15<0.3 : devel/rubygem-stackprof
  207. rubygem-rbtrace>=0.4.14<1.0 : devel/rubygem-rbtrace
  208. rubygem-memory_profiler>=0.9<1.0 : devel/rubygem-memory_profiler
  209. rubygem-benchmark-memory>=0.1<1.0 : benchmarks/rubygem-benchmark-memory
  210. rubygem-activerecord-explain-analyze>=0.1<1.0 : databases/rubygem-activerecord-explain-analyze
  211. rubygem-oauth21>=1.4.7<2.0 : net/rubygem-oauth21
  212. rubygem-health_check>=3.0<4 : devel/rubygem-health_check
  213. rubygem-vmstat>=2.3.0<2.4.0 : sysutils/rubygem-vmstat
  214. rubygem-sys-filesystem>=1.4.3<1.5 : sysutils/rubygem-sys-filesystem
  215. rubygem-net-ntp>0 : net/rubygem-net-ntp
  216. rubygem-ssh_data>=1.3<2 : security/rubygem-ssh_data
  217. rubygem-spamcheck>=0.1.0<0.2 : net/rubygem-spamcheck
  218. rubygem-gitaly>=15.1.0.pre.rc1<15.2.0 : net/rubygem-gitaly
  219. rubygem-kas-grpc>=0.0.2,1<0.0.3,1 : net/rubygem-kas-grpc
  220. rubygem-grpc142>=1.42.0<1.43 : net/rubygem-grpc142
  221. rubygem-google-protobuf319>=3.19.4<3.20 : devel/rubygem-google-protobuf319
  222. rubygem-toml-rb>=2.0.1<3 : www/rubygem-toml-rb
  223. rubygem-flipper021>=0.21.0<0.22 : devel/rubygem-flipper021
  224. rubygem-flipper-active_record-rails61>=0.21.0<0.22 : databases/rubygem-flipper-active_record-rails61
  225. rubygem-flipper-active_support_cache_store-rails61>=0.21.0<0.22 : devel/rubygem-flipper-active_support_cache_store-rails61
  226. rubygem-unleash>=3.2.2<3.3 : devel/rubygem-unleash
  227. rubygem-gitlab-experiment>=0.7.0<0.8 : devel/rubygem-gitlab-experiment
  228. rubygem-lograge-rails61>=0.11.2<1.0 : www/rubygem-lograge-rails61
  229. rubygem-grape_logging>=1.8<2.0 : devel/rubygem-grape_logging
  230. rubygem-gitlab-net-dns>=0.9.1<0.10 : dns/rubygem-gitlab-net-dns
  231. rubygem-countries>=3.0.0<4.0.0 : devel/rubygem-countries
  232. rubygem-retriable>=3.1.2<3.2.0 : devel/rubygem-retriable
  233. rubygem-lru_redux>0 : devel/rubygem-lru_redux
  234. rubygem-erubi19>=1.9.0<1.10 : www/rubygem-erubi19
  235. rubygem-mail>=2.7.1<2.7.2,2 : mail/rubygem-mail
  236. rubygem-lockbox>=0.6.2<0.7 : security/rubygem-lockbox
  237. rubygem-valid_email>=0.1<1 : mail/rubygem-valid_email
  238. rubygem-json25>=2.5.1<2.6 : devel/rubygem-json25
  239. rubygem-json_schemer>=0.2.18<0.3 : devel/rubygem-json_schemer
  240. rubygem-oj310>=3.10.6<3.11 : devel/rubygem-oj310
  241. rubygem-multi_json114>=1.14.1<1.15 : devel/rubygem-multi_json114
  242. rubygem-yajl-ruby>=1.4.1<1.5 : devel/rubygem-yajl-ruby
  243. rubygem-webauthn>=2.3<3 : security/rubygem-webauthn
  244. rubygem-ipaddress>=0.8.3<0.9 : net/rubygem-ipaddress
  245. rubygem-parslet1>=1.8<2 : textproc/rubygem-parslet1
  246. rubygem-ipynbdiff>=0.4.7<0.4.8 : devel/rubygem-ipynbdiff
  247. rubygem-ed25519>=1.3.0<1.4 : security/rubygem-ed25519
  248. rubygem-parser>=0 : devel/rubygem-parser
  249. rubygem-timfel-krb5-auth>=0.8<1 : security/rubygem-timfel-krb5
  250. ruby30 : lang/ruby30
  251. go119 : lang/go119
Runtime dependencies:
  1. git>=2.32.0 : devel/git
  2. gitaly>=15.1.4 : devel/gitaly
  3. gitlab-elasticsearch-indexer>=3.0.0 : textproc/gitlab-elasticsearch-indexer
  4. gitlab-agent>=15.1.0 : net/gitlab-agent
  5. gitlab-metrics-exporter>0 : devel/gitlab-metrics-exporter
  6. gitlab-pages>=1.59.1 : www/gitlab-pages
  7. gitlab-shell>=14.7.4 : devel/gitlab-shell
  8. gitlab-workhorse>=15.1.4 : www/gitlab-workhorse
  9. redis>=6.0.14 : databases/redis
  10. yarn>=1.10.0 : www/yarn
  11. gtar>0 : archivers/gtar
  12. bash>0 : shells/bash
  13. rubygem-rails61>=6.1.6.0<6.1.7 : www/rubygem-rails61
  14. rubygem-bootsnap112>=1.12.0<1.13 : devel/rubygem-bootsnap112
  15. rubygem-responders-rails61>=3.0<4.0 : www/rubygem-responders-rails61
  16. rubygem-sprockets3>=3.7<3.8 : devel/rubygem-sprockets3
  17. rubygem-view_component-rails61>=2.50.0<2.51 : devel/rubygem-view_component-rails61
  18. rubygem-default_value_for>=3.4.0<3.5.0 : devel/rubygem-default_value_for
  19. rubygem-pg13>=1.3.5<1.4 : databases/rubygem-pg13
  20. rubygem-rugged>=1.2<2 : devel/rubygem-rugged
  21. rubygem-grape-path-helpers>=1.7.0<1.8 : devel/rubygem-grape-path-helpers
  22. rubygem-faraday1>=1.10.0<2 : www/rubygem-faraday1
  23. rubygem-marginalia>=1.10.0<1.11 : databases/rubygem-marginalia
  24. rubygem-declarative_policy>=1.1.0<1.2 : security/rubygem-declarative_policy
  25. rubygem-devise47-rails61>=4.7.2<4.8 : devel/rubygem-devise47-rails61
  26. rubygem-bcrypt>=3.1.14<3.2 : security/rubygem-bcrypt
  27. rubygem-doorkeeper>=5.5.0.rc2<5.6 : security/rubygem-doorkeeper
  28. rubygem-doorkeeper-openid_connect>=1.7.5<1.8 : security/rubygem-doorkeeper-openid_connect
  29. rubygem-rexml>=3.2.5<3.3 : textproc/rubygem-rexml
  30. rubygem-ruby-saml>=1.13.0<1.14 : security/rubygem-ruby-saml
  31. rubygem-omniauth1>=1.9.1<2.0 : security/rubygem-omniauth1
  32. rubygem-omniauth-auth0>=2.0.0<2.1.0 : net/rubygem-omniauth-auth0
  33. rubygem-omniauth-azure-activedirectory-v2>=1.0<2 : net/rubygem-omniauth-azure-activedirectory-v2
  34. rubygem-omniauth-azure-oauth2>=0.0.9<0.1.0 : net/rubygem-omniauth-azure-oauth2
  35. rubygem-omniauth-cas3>=1.1.4<1.2.0 : security/rubygem-omniauth-cas3
  36. rubygem-omniauth-dingtalk-oauth2>=1.0.1<2 : security/rubygem-omniauth-dingtalk-oauth2
  37. rubygem-omniauth-alicloud>=1.0.1<1.1 : security/rubygem-omniauth-alicloud
  38. rubygem-omniauth-facebook4>=4.0.0<4.1.0 : net/rubygem-omniauth-facebook4
  39. rubygem-omniauth-github>=1.4.0<2.0 : net/rubygem-omniauth-github
  40. rubygem-omniauth-gitlab>=1.0.2<1.1.0 : security/rubygem-omniauth-gitlab
  41. rubygem-omniauth-google-oauth2>=0.6.0<0.7.0 : net/rubygem-omniauth-google-oauth2
  42. rubygem-omniauth-oauth2-generic>=0.2.2<0.3.0 : security/rubygem-omniauth-oauth2-generic
  43. rubygem-omniauth-saml>=1.10<2.0 : security/rubygem-omniauth-saml
  44. rubygem-omniauth-shibboleth>=1.3.0<1.4.0 : security/rubygem-omniauth-shibboleth
  45. rubygem-omniauth-twitter>=1.4<2.0 : net/rubygem-omniauth-twitter
  46. rubygem-omniauth_crowd>=2.4.0<2.5 : devel/rubygem-omniauth_crowd
  47. rubygem-omniauth-authentiq>=0.3.3<0.4.0 : net/rubygem-omniauth-authentiq
  48. rubygem-gitlab-omniauth-openid-connect>=0.9.1<0.10.0 : net/rubygem-gitlab-omniauth-openid-connect
  49. rubygem-omniauth-ultraauth>=0.0.2<0.1.0 : net/rubygem-omniauth-ultraauth
  50. rubygem-omniauth-salesforce>=1.0.5<1.1.0 : net/rubygem-omniauth-salesforce
  51. rubygem-omniauth-atlassian-oauth2>=0.2.0<0.3 : security/rubygem-omniauth-atlassian-oauth2
  52. rubygem-rack-oauth2>=1.19.0<1.20.0 : security/rubygem-rack-oauth2
  53. rubygem-jwt21>=2.1.0<2.2.0 : www/rubygem-jwt21
  54. rubygem-gssapi>0 : security/rubygem-gssapi
  55. rubygem-recaptcha>=4.11<5.0 : devel/rubygem-recaptcha
  56. rubygem-akismet>=3.0<4.0 : devel/rubygem-akismet
  57. rubygem-invisible_captcha>=1.1.0<1.2.0 : graphics/rubygem-invisible_captcha
  58. rubygem-devise-two-factor-rails61>=4.0.2<4.1 : security/rubygem-devise-two-factor-rails61
  59. rubygem-rqrcode-rails3>=0.1.7<0.2.0 : www/rubygem-rqrcode-rails3
  60. rubygem-attr_encrypted>=3.1.0<3.2.0 : security/rubygem-attr_encrypted
  61. rubygem-u2f0>=0.2.1<0.3.0 : net/rubygem-u2f0
  62. rubygem-validates_hostname>=1.0.11<1.1.0 : dns/rubygem-validates_hostname
  63. rubygem-rubyzip>=2.3.2<2.4 : archivers/rubygem-rubyzip
  64. rubygem-acme-client>=2.0.9<3 : security/rubygem-acme-client
  65. rubygem-browser>=4.2<5.0 : www/rubygem-browser
  66. rubygem-ohai>=16.10<17 : sysutils/rubygem-ohai
  67. rubygem-gpgme>=2.0.20<2.1.0 : security/rubygem-gpgme
  68. rubygem-gitlab_omniauth-ldap>=2.1.1<2.2.0 : net/rubygem-gitlab_omniauth-ldap
  69. rubygem-net-ldap>0.16.3 : net/rubygem-net-ldap
  70. rubygem-grape15>=1.5.2<1.6 : devel/rubygem-grape15
  71. rubygem-grape-entity>=0.10.0<0.11.0,1 : devel/rubygem-grape-entity
  72. rubygem-rack-cors>=1.1.1<1.2.0 : www/rubygem-rack-cors
  73. rubygem-graphql>=1.13.12<1.14 : devel/rubygem-graphql
  74. rubygem-graphiql-rails>=1.8<2 : devel/rubygem-graphiql-rails
  75. rubygem-apollo_upload_server>=2.1.0<2.2 : net/rubygem-apollo_upload_server
  76. rubygem-graphql-docs>=1.6.0<1.7.0 : devel/rubygem-graphql-docs
  77. rubygem-graphlient>=0.5.0<0.6 : devel/rubygem-graphlient
  78. rubygem-hashie>=4.1.0 : devel/rubygem-hashie
  79. rubygem-hashie-forbidden_attributes>0 : devel/rubygem-hashie-forbidden_attributes
  80. rubygem-kaminari-rails61>=1.2.1<2.0 : www/rubygem-kaminari-rails61
  81. rubygem-hamlit>=2.15.0<2.16 : www/rubygem-hamlit
  82. rubygem-carrierwave>=1.3.2<2.0 : www/rubygem-carrierwave
  83. rubygem-mini_magick410>=4.10.1<4.11 : graphics/rubygem-mini_magick410
  84. rubygem-fog-aws>=3.14<4 : net/rubygem-fog-aws
  85. rubygem-fog-core210>=2.1.0<2.1.1 : devel/rubygem-fog-core210
  86. rubygem-fog-google>=1.15<2 : net/rubygem-fog-google
  87. rubygem-fog-local>=0.6<1.0 : net/rubygem-fog-local
  88. rubygem-fog-openstack>=1.0<2.0 : net/rubygem-fog-openstack
  89. rubygem-fog-rackspace>=0.1.1<1.2.0 : net/rubygem-fog-rackspace
  90. rubygem-fog-aliyun>=0.3<1.0 : net/rubygem-fog-aliyun
  91. rubygem-gitlab-fog-azure-rm>=1.3.0<1.4 : net/rubygem-gitlab-fog-azure-rm
  92. rubygem-google-api-client>=0.33<1 : devel/rubygem-google-api-client
  93. rubygem-unf>=0.1.4<0.2.0 : textproc/rubygem-unf
  94. rubygem-seed-fu>=2.3.7<2.4.0 : databases/rubygem-seed-fu
  95. rubygem-elasticsearch-model713>=7.2<8 : textproc/rubygem-elasticsearch-model713
  96. rubygem-elasticsearch-rails>=7.2<8 : textproc/rubygem-elasticsearch-rails
  97. rubygem-elasticsearch-api713>=7.13.3<7.13.4 : textproc/rubygem-elasticsearch-api713
  98. rubygem-aws-sdk-core>=3<4 : devel/rubygem-aws-sdk-core
  99. rubygem-aws-sdk-cloudformation>=1<2 : devel/rubygem-aws-sdk-cloudformation
  100. rubygem-aws-sdk-s3>=1<2 : devel/rubygem-aws-sdk-s3
  101. rubygem-faraday_middleware-aws-sigv403>=0.3.0<0.4 : devel/rubygem-faraday_middleware-aws-sigv403
  102. rubygem-typhoeus>=1.4.0<1.5 : www/rubygem-typhoeus
  103. rubygem-html-pipeline>=2.13.2<2.14 : textproc/rubygem-html-pipeline
  104. rubygem-deckar01-task_list=2.3.1 : www/rubygem-deckar01-task_list
  105. rubygem-gitlab-markup>=1.8.0<1.9.0 : textproc/rubygem-gitlab-markup
  106. rubygem-github-markup17>=1.7.0<1.8.0 : textproc/rubygem-github-markup17
  107. rubygem-commonmarker>=0.23.4<0.24 : textproc/rubygem-commonmarker
  108. rubygem-kramdown23>=2.3.1<2.4 : textproc/rubygem-kramdown23
  109. rubygem-redcloth>=4.3.2<4.4.0 : www/rubygem-redcloth
  110. rubygem-rdoc63>=6.3.2<7 : devel/rubygem-rdoc63
  111. rubygem-org-ruby>=0.9.12<0.10.0 : textproc/rubygem-org-ruby
  112. rubygem-creole>=0.5.0<0.6.0 : textproc/rubygem-creole
  113. rubygem-wikicloth081>=0.8.1<0.8.2 : textproc/rubygem-wikicloth081
  114. rubygem-asciidoctor>=2.0.15<2.1.0 : textproc/rubygem-asciidoctor
  115. rubygem-asciidoctor-include-ext>=0.4.0<0.5.0 : textproc/rubygem-asciidoctor-include-ext
  116. rubygem-asciidoctor-plantuml00>=0.0.12<0.1 : textproc/rubygem-asciidoctor-plantuml00
  117. rubygem-asciidoctor-kroki>=0.5.0<0.6 : textproc/rubygem-asciidoctor-kroki
  118. rubygem-rouge329>=3.29.0<3.30 : textproc/rubygem-rouge329
  119. rubygem-truncato>=0.7.11<0.8.0 : textproc/rubygem-truncato
  120. rubygem-bootstrap_form>=4.2.0<4.3.0 : devel/rubygem-bootstrap_form
  121. rubygem-nokogiri>=1.13.6<1.14 : textproc/rubygem-nokogiri
  122. rubygem-escape_utils>=1.1<2.0 : textproc/rubygem-escape_utils
  123. rubygem-icalendar>=0 : devel/rubygem-icalendar
  124. rubygem-diffy>=3.3<4 : textproc/rubygem-diffy
  125. rubygem-diff_match_patch>=0.1.0<0.2.0 : textproc/rubygem-diff_match_patch
  126. rubygem-rack223>=2.2.3.0<2.2.4 : www/rubygem-rack223
  127. rubygem-rack-timeout>=0.6.0<0.7 : www/rubygem-rack-timeout
  128. rubygem-puma>=5.6.2<5.7 : www/rubygem-puma
  129. rubygem-puma_worker_killer>=0.3.1 : www/rubygem-puma_worker_killer
  130. rubygem-sd_notify>=0.1.0<0.2 : devel/rubygem-sd_notify
  131. rubygem-state_machines-activerecord>=0.8.0<0.9.0 : databases/rubygem-state_machines-activerecord
  132. rubygem-acts-as-taggable-on>=9.0<10 : www/rubygem-acts-as-taggable-on
  133. rubygem-sidekiq64>=6.4<6.5 : devel/rubygem-sidekiq64
  134. rubygem-sidekiq-cron-sidekiq64>=1.2<2.0 : devel/rubygem-sidekiq-cron-sidekiq64
  135. rubygem-redis-namespace>=1.8.1<1.9.0 : databases/rubygem-redis-namespace
  136. rubygem-gitlab-sidekiq-fetcher>=0.8.0<0.9 : devel/rubygem-gitlab-sidekiq-fetcher
  137. rubygem-fugit12>=1.2.1<1.3.0 : devel/rubygem-fugit12
  138. rubygem-httparty>=0.16.4<1 : www/rubygem-httparty
  139. rubygem-rainbow>=3.1.1<4.0 : devel/rubygem-rainbow
  140. rubygem-ruby-progressbar>=1.11<2 : devel/rubygem-ruby-progressbar
  141. rubygem-settingslogic>=2.0.9<2.1.0 : devel/rubygem-settingslogic
  142. rubygem-re2>=1.4.0<1.5.0 : devel/rubygem-re2
  143. rubygem-version_sorter>=2.2.4<2.3.0 : textproc/rubygem-version_sorter
  144. rubygem-js_regex>=3.7<4.0 : textproc/rubygem-js_regex
  145. rubygem-device_detector>=0 : devel/rubygem-device_detector
  146. rubygem-redis44>=4.4.0<4.5 : databases/rubygem-redis44
  147. rubygem-connection_pool>=2.2.5<3.0 : net/rubygem-connection_pool
  148. rubygem-redis-actionpack52-rails61>=5.2.0<5.3 : databases/rubygem-redis-actionpack52-rails61
  149. rubygem-discordrb-webhooks>=3.4<4.0 : net-im/rubygem-discordrb-webhooks
  150. rubygem-jira-ruby21>=2.1.4<2.2 : devel/rubygem-jira-ruby21
  151. rubygem-atlassian-jwt>=0.2.0<0.3.0 : www/rubygem-atlassian-jwt
  152. rubygem-flowdock>=0.7<1.0 : www/rubygem-flowdock
  153. rubygem-slack-messenger>=2.3.4<2.4.0 : devel/rubygem-slack-messenger
  154. rubygem-hangouts-chat>=0.0.5<0.1.0 : net/rubygem-hangouts-chat
  155. rubygem-asana>=0.10.3<0.11 : www/rubygem-asana
  156. rubygem-ruby-fogbugz021>=0.2.1<0.3.0 : devel/rubygem-ruby-fogbugz021
  157. rubygem-kubeclient>=4.9.2<4.10.0 : www/rubygem-kubeclient
  158. rubygem-sanitize>=6.0<7 : textproc/rubygem-sanitize
  159. rubygem-babosa>=1.0.4<1.1.0 : textproc/rubygem-babosa
  160. rubygem-loofah>=2.16.0<3.0 : textproc/rubygem-loofah
  161. rubygem-licensee>=9.14.1<9.15 : devel/rubygem-licensee
  162. rubygem-charlock_holmes>=0.7.7<0.8.0 : textproc/rubygem-charlock_holmes
  163. rubygem-ruby-magic>=0.5.4<1 : devel/rubygem-ruby-magic
  164. rubygem-fast_blank>=0 : devel/rubygem-fast_blank
  165. rubygem-gitlab-chronic>=0.10.5<0.11.0 : devel/rubygem-gitlab-chronic
  166. rubygem-gitlab_chronic_duration>=0.10.6.2<0.10.7 : devel/rubygem-gitlab_chronic_duration
  167. rubygem-rack-proxy>=0.7.2<0.8.0 : www/rubygem-rack-proxy
  168. rubygem-sassc-rails-rails61>=2.1.0<2.2.0 : textproc/rubygem-sassc-rails-rails61
  169. rubygem-autoprefixer-rails1025>=10.2.5.1<10.2.6 : textproc/rubygem-autoprefixer-rails1025
  170. rubygem-terser>=1.0.2 : textproc/rubygem-terser
  171. rubygem-addressable>=2.8<3 : www/rubygem-addressable
  172. rubygem-tanuki_emoji>=0.6<1 : graphics/rubygem-tanuki_emoji
  173. rubygem-gon-rails61>=6.4.0<6.5 : www/rubygem-gon-rails61
  174. rubygem-request_store>=1.5.1<2.0 : devel/rubygem-request_store
  175. rubygem-base32>=0.3.0<0.4.0 : converters/rubygem-base32
  176. rubygem-gitlab-license>=2.1.0<2.2 : devel/rubygem-gitlab-license
  177. rubygem-rack-attack>=6.6.0<6.7 : www/rubygem-rack-attack
  178. rubygem-sentry-raven>=3.1<4.0 : devel/rubygem-sentry-raven
  179. rubygem-sentry-ruby>=5.1.1<5.2 : devel/rubygem-sentry-ruby
  180. rubygem-sentry-rails>=5.1.1<5.2 : devel/rubygem-sentry-rails
  181. rubygem-sentry-sidekiq>=5.1.1<5.2 : devel/rubygem-sentry-sidekiq
  182. rubygem-pg_query>=2.1.3<2.2 : databases/rubygem-pg_query
  183. rubygem-premailer-rails-rails61>=1.10.3<1.11 : mail/rubygem-premailer-rails-rails61
  184. rubygem-gitlab-labkit>=0.23.0<0.24 : devel/rubygem-gitlab-labkit
  185. rubygem-thrift>=0.14.0 : devel/rubygem-thrift
  186. rubygem-ruby_parser>=3.15<4.0 : devel/rubygem-ruby_parser
  187. rubygem-rails-i18n-rails61>=6.0<7.0 : devel/rubygem-rails-i18n-rails61
  188. rubygem-gettext_i18n_rails>=1.8.0<1.9.0 : devel/rubygem-gettext_i18n_rails
  189. rubygem-gettext_i18n_rails_js-rails61>=1.3<2.0 : devel/rubygem-gettext_i18n_rails_js-rails61
  190. rubygem-gettext>=3.3<4 : devel/rubygem-gettext
  191. rubygem-batch-loader>=2.0.1<2.1 : devel/rubygem-batch-loader
  192. rubygem-peek-rails61>=1.1.0<2.0 : devel/rubygem-peek-rails61
  193. rubygem-snowplow-tracker>=0.6.1<1 : devel/rubygem-snowplow-tracker
  194. rubygem-method_source>=1.0<2 : devel/rubygem-method_source
  195. rubygem-webrick>=1.6.1 : www/rubygem-webrick
  196. rubygem-prometheus-client-mmap>=0.15.0<0.16.0 : devel/rubygem-prometheus-client-mmap
  197. rubygem-warning>=1.2.0<1.3 : devel/rubygem-warning
  198. rubygem-gitlab-license_finder>=6.14.2.1<7 : devel/rubygem-gitlab-license_finder
  199. rubygem-gitlab-dangerfiles>=3.4.0<3.5 : devel/rubygem-gitlab-dangerfiles
  200. rubygem-octokit>=4.20<5.0 : net/rubygem-octokit
  201. rubygem-gitlab-mail_room>=0.0.9<0.1.0 : mail/rubygem-gitlab-mail_room
  202. rubygem-email_reply_trimmer>=0.1<1.0 : mail/rubygem-email_reply_trimmer
  203. rubygem-html2text>=0 : textproc/rubygem-html2text
  204. rubygem-ruby-prof>=1.3.0<1.4.0 : devel/rubygem-ruby-prof
  205. rubygem-stackprof>=0.2.15<0.3 : devel/rubygem-stackprof
  206. rubygem-rbtrace>=0.4.14<1.0 : devel/rubygem-rbtrace
  207. rubygem-memory_profiler>=0.9<1.0 : devel/rubygem-memory_profiler
  208. rubygem-benchmark-memory>=0.1<1.0 : benchmarks/rubygem-benchmark-memory
  209. rubygem-activerecord-explain-analyze>=0.1<1.0 : databases/rubygem-activerecord-explain-analyze
  210. rubygem-oauth21>=1.4.7<2.0 : net/rubygem-oauth21
  211. rubygem-health_check>=3.0<4 : devel/rubygem-health_check
  212. rubygem-vmstat>=2.3.0<2.4.0 : sysutils/rubygem-vmstat
  213. rubygem-sys-filesystem>=1.4.3<1.5 : sysutils/rubygem-sys-filesystem
  214. rubygem-net-ntp>0 : net/rubygem-net-ntp
  215. rubygem-ssh_data>=1.3<2 : security/rubygem-ssh_data
  216. rubygem-spamcheck>=0.1.0<0.2 : net/rubygem-spamcheck
  217. rubygem-gitaly>=15.1.0.pre.rc1<15.2.0 : net/rubygem-gitaly
  218. rubygem-kas-grpc>=0.0.2,1<0.0.3,1 : net/rubygem-kas-grpc
  219. rubygem-grpc142>=1.42.0<1.43 : net/rubygem-grpc142
  220. rubygem-google-protobuf319>=3.19.4<3.20 : devel/rubygem-google-protobuf319
  221. rubygem-toml-rb>=2.0.1<3 : www/rubygem-toml-rb
  222. rubygem-flipper021>=0.21.0<0.22 : devel/rubygem-flipper021
  223. rubygem-flipper-active_record-rails61>=0.21.0<0.22 : databases/rubygem-flipper-active_record-rails61
  224. rubygem-flipper-active_support_cache_store-rails61>=0.21.0<0.22 : devel/rubygem-flipper-active_support_cache_store-rails61
  225. rubygem-unleash>=3.2.2<3.3 : devel/rubygem-unleash
  226. rubygem-gitlab-experiment>=0.7.0<0.8 : devel/rubygem-gitlab-experiment
  227. rubygem-lograge-rails61>=0.11.2<1.0 : www/rubygem-lograge-rails61
  228. rubygem-grape_logging>=1.8<2.0 : devel/rubygem-grape_logging
  229. rubygem-gitlab-net-dns>=0.9.1<0.10 : dns/rubygem-gitlab-net-dns
  230. rubygem-countries>=3.0.0<4.0.0 : devel/rubygem-countries
  231. rubygem-retriable>=3.1.2<3.2.0 : devel/rubygem-retriable
  232. rubygem-lru_redux>0 : devel/rubygem-lru_redux
  233. rubygem-erubi19>=1.9.0<1.10 : www/rubygem-erubi19
  234. rubygem-mail>=2.7.1<2.7.2,2 : mail/rubygem-mail
  235. rubygem-lockbox>=0.6.2<0.7 : security/rubygem-lockbox
  236. rubygem-valid_email>=0.1<1 : mail/rubygem-valid_email
  237. rubygem-json25>=2.5.1<2.6 : devel/rubygem-json25
  238. rubygem-json_schemer>=0.2.18<0.3 : devel/rubygem-json_schemer
  239. rubygem-oj310>=3.10.6<3.11 : devel/rubygem-oj310
  240. rubygem-multi_json114>=1.14.1<1.15 : devel/rubygem-multi_json114
  241. rubygem-yajl-ruby>=1.4.1<1.5 : devel/rubygem-yajl-ruby
  242. rubygem-webauthn>=2.3<3 : security/rubygem-webauthn
  243. rubygem-ipaddress>=0.8.3<0.9 : net/rubygem-ipaddress
  244. rubygem-parslet1>=1.8<2 : textproc/rubygem-parslet1
  245. rubygem-ipynbdiff>=0.4.7<0.4.8 : devel/rubygem-ipynbdiff
  246. rubygem-ed25519>=1.3.0<1.4 : security/rubygem-ed25519
  247. rubygem-parser>=0 : devel/rubygem-parser
  248. rubygem-timfel-krb5-auth>=0.8<1 : security/rubygem-timfel-krb5
  249. ruby30 : lang/ruby30
Patch dependencies:
  1. ruby30 : lang/ruby30
Extract dependencies:
  1. ruby30 : lang/ruby30
There are no ports dependent upon this port

Configuration Options:
Options name:

USES:

pkg-message:
For install:
If upgrading from < 11.9.7:
If upgrading
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://gitlab.com/gitlab-org/gitlab-foss/-/archive/39245e886b4dbeac096a3ee649464f293627ff77.tar.gz?dummy=/
Collapse this list.
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2021-06-21
    Affects: users of www/gitlab-ce
    Author: mfechner@FreeBSD.org
    Reason: 
      The upgrade of Gitlab 14.0.0 is in preparation.
      You must upgrade first to 13.12.
      For more information see here:
      https://about.gitlab.com/blog/2021/06/04/gitlab-moving-to-14-breaking-changes/
    
      To do the upgrade, make sure you follow the upgrade manuals:
      https://gitlab.fechner.net/mfechner/Gitlab-docu/-/tree/master/update
    
      I will merge the 14.0.0 upgrade later to quarterly branch to give you
      some time for the upgrade to 13.12.
    
    
Expand this list (3 items)
  • 2019-08-30
    Affects: users of www/gitlab-ce
    Author: mfechner@FreeBSD.org
    Reason: 
      Make sure you upgrade your PostgreSQL to version 11 as described in 20190829,
      before you upgrade your gitlab-ce version.
      Gitlab-ce 12.1 needs at least PostgreSQL version 9.6.
    
      After this you can follow the usual upgrade guide:
      https://gitlab.fechner.net/mfechner/Gitlab-docu/blob/master/update/12.0-12.1-freebsd.md
    
    
  • 2019-07-07
    Affects: users of www/gitlab-ce
    Author: mfechner@FreeBSD.org
    Reason: 
      You must at first upgrade to version 11.11.5 before you can upgrade
      to version 12.
      Support for MySQL will be dropped with next version.
      Make sure you use at least PostgreSQL version 9.6.
      Follow the normal upgrade manual that can be found here:
      https://gitlab.fechner.net/mfechner/Gitlab-docu/blob/master/update/11.11-12.0-freebsd.md
    
    
  • 2019-04-23
    Affects: users of www/gitlab-ce
    Author: mfechner@FreeBSD.org
    Reason: 
      The directory where all repositories and ssh permissions are stored
      was changed from /usr/home/git back to /usr/local/git, to match again the
      recommended standards on FreeBSD.
      This will cause now some other git management packages to collide with
      gitlab. Make sure you migrate all you git repositories to gitlab first,
      before you continue.
    
      Make sure /usr/local/git/repositories and /usr/local/git/.ssh are not
      existing!
      Otherwise the next commands can break your installation for managing
      git repositories within gitlab and with your other gitlab management
      software!
    
      You must move the old files to the new location with:
      # service gitlab stop
      # mv /usr/home/git /usr/local/
      # pkg upg
    
      Make sure you update your config files, diff shows you what you maybe
      must change:
      # cd /usr/local/www/gitlab-ce
      # git diff config/gitlab.yml.sample config/gitlab.yml
      # cd /usr/local/share/gitlab-shell/
      # git diff config.yml.sample config.yml
      # cd /usr/local/share/gitaly
      # git diff config.toml.sample config.toml
    
      # Change home directory of user git back to /usr/local/git
      # vipw
      The line should now looks like:
      git:*:211:211::0:0:gitosis user:/usr/local/git:/bin/sh
    
      If you do an upgrade of gitlab follow the upgrade guide.
      If not, just start gitlab again with:
      # service gitlab start
    
    
  • Collapse this list.
Port Moves
  • port moved here from www/gitlab on 2018-07-04
    REASON: Port renamed to match name on gitlab.org

Number of commits found: 329 (showing only 100 on this page)

1 | 2 | 3 | 4  »  

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
03 Aug 2022 21:35:13
 files touched by this commit commit hash:4476f89764d3ee73d216c2d56df149e8d4c62c24  15.1.4_3
Dmitri Goutnik (dmgk) search for other commits by this committer
all: Bump PORTREVISION after Go update

Bump Go ports PORTREVISION after GO_DEFAULT and lang/go118 update.
30 Jul 2022 21:00:27
 files touched by this commit commit hash:b084a0c288c0bc380a62b78c16dccd211bf3e4a2  15.1.4_2
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-rouge to rubygem-rouge329

- Bump PORTREVISION for dependency change
30 Jul 2022 19:26:53
 files touched by this commit commit hash:aaa945714f7184e527915c4fce6ab37f33e0ac39  15.1.4_1
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-bootsnap to rubygem-bootsnap112

- Bump PORTREVISION for dependency change
30 Jul 2022 06:52:20
 files touched by this commit commit hash:17d8576a9d21e2624c4bfbf390538cbfea1ef390  15.1.4
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 15.1.4

MFH:		2022Q3
Security:	4c26f668-0fd2-11ed-a83d-001b217b3468
30 Jul 2022 06:50:08
 files touched by this commit commit hash:457e07fd7f243b38ce25d0824945be723e59f25c  15.1.3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 15.1.3

Changelog:
https://about.gitlab.com/releases/2022/07/19/gitlab-15-1-3-released/
20 Jul 2022 14:23:26
 files touched by this commit commit hash:e915e756715f12e5e0e46993b1265f44690b4a90  15.1.2_2 This port version is marked as vulnerable.
Tobias C. Berner (tcberner) search for other commits by this committer
www: remove 'Created by' lines

A big Thank You to the original contributors of these ports:

  *
  *  <hvo.pm@xs4all.nl>
  *  Aaron Dalton <aaron@FreeBSD.org>
  *  Aaron Dalton <aaron@daltons.ca>
  *  Aaron LI <aly@aaronly.me>
  *  Aaron Zauner <az_mail@gmx.at>
  *  Abel Chow <achow@transoft.net>
  *  Adam Weinberger <adamw@FreeBSD.org>
  *  Ade Lovett <ade@FreeBSD.org>
  *  Adrian Steinmann <ast@marabu.ch>
  *  Akinori MUSHA aka knu <knu@idaemons.org>
(Only the first 15 lines of the commit message are shown above View all of this commit message)
14 Jul 2022 12:46:05
 files touched by this commit commit hash:153cb65ac8a05356245dd09d1ff48c2a6afafc5a  15.1.2_2 This port version is marked as vulnerable.
Dmitri Goutnik (dmgk) search for other commits by this committer
all: Bump PORTREVISION after lang/go{117,118} update
11 Jul 2022 13:51:30
 files touched by this commit commit hash:abdcd078dbe68039080d8b9c31e530c23cca3dac  15.1.2_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-rack to rubygem-rack223

- Bump PORTREVISION for dependency change
09 Jul 2022 06:29:30
 files touched by this commit commit hash:61e677748877875d05008c1a76111e6fef95c39f  15.1.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security update to 15.1.2

Changelog:
https://about.gitlab.com/releases/2022/06/30/critical-security-release-gitlab-15-1-1-released/
https://about.gitlab.com/releases/2022/07/04/gitlab-15-1-2-released/

MFH:		2022Q3
Security:	d1b35142-ff4a-11ec-8be3-001b217b3468
08 Jul 2022 07:07:35
 files touched by this commit commit hash:62ae71fdfa1a277bb21d6c4fee285e379da3e704  15.1.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: provide a working database.yml.sample file

This fixes a problem with my vagrant test setup.
Gitlab changed the database.yml syntax, the new sample file reflects now these
changes.

No need to change anything for an already existing installation.
24 Jun 2022 10:20:07
 files touched by this commit commit hash:aa5b3808af6d02ec44c3d6604c12945156cda8d8  15.1.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Major update to 15.1.0

Changelog:
https://about.gitlab.com/releases/2022/06/22/gitlab-15-1-released/
21 Jun 2022 20:58:50
 files touched by this commit commit hash:40f11eec5f7fdecad77345bd5f5d70be62cd482d  15.0.3_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-oauth2 to rubygem-oauth21

- Bump PORTREVISION for dependency change
20 Jun 2022 07:52:36
 files touched by this commit commit hash:26745b29a8e3cb488698613e319800caf6b6580b  15.0.3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: update to 15.0.3

    Add GitLab agent image tag to install command
    Resolve "Add documentation for Opensearch Indexing paused."
    Disconnect alternates when unlinking from a repository pool
    Add version information for new fields in members API
    Upgrade to bundler v2.3.15
    cgroups: Handle nil repo
    catfile: Backport patches to fix leaking catfile processes

Changelog:
https://about.gitlab.com/releases/2022/06/16/gitlab-15-0-3-released/
16 Jun 2022 14:02:33
 files touched by this commit commit hash:1f49e490c30391d147ada6017f2cdb92f9687c78  15.0.2_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Update RUN_DEPENDS

- Change RUN_DEPENDS from rubygem-asciidoctor-plantuml to
rubygem-asciidoctor-plantuml00
- Change RUN_DEPENDS from rubygem-jira-ruby to rubygem-jira-ruby21
- Bump PORTREVISION for dependency change
13 Jun 2022 10:05:35
 files touched by this commit commit hash:fc126a95d224088cd797118ea226fcfd37e2991c  15.0.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 15.0.2

Changelog:
https://about.gitlab.com/releases/2022/06/06/gitlab-15-0-2-released/
13 Jun 2022 10:05:34
 files touched by this commit commit hash:ed5dcd73200bc2f28ab8178c36180bee182bf724  15.0.1_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix problem with sidekiq

Gitlab does not work with sidekiq 6.5, use version 6.4
Fixes a regression introduced by:
01b52c7a7338a97e7677e2186ac4183549e3ad7c
07 Jun 2022 21:56:10
 files touched by this commit commit hash:309cdeccd802bb370a42e80cc4468da17c8dab35  15.0.1_1 This port version is marked as vulnerable.
Dmitri Goutnik (dmgk) search for other commits by this committer
*/*: Bump port revisons after lang/go{117,118} update
04 Jun 2022 20:01:12
 files touched by this commit commit hash:3aa6129f7a492f5e2dfb9a5ca11fbe290b6a1540  15.0.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security update to 15.0.1

Changelog:
https://about.gitlab.com/releases/2022/06/01/critical-security-release-gitlab-15-0-1-released/

Security:	f414d69f-e43d-11ec-9ea4-001b217b3468
03 Jun 2022 23:36:56
 files touched by this commit commit hash:a5b0d6e6192309f8e5c765180055960182918eb8  15.0.0_3 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-faraday to rubygem-faraday1

- Bump PORTREVISION for dependency change
03 Jun 2022 17:25:48
 files touched by this commit commit hash:336c379bbbc6e0c3d969bc109c0620d868f47601  15.0.0_2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix regression with faraday upgrade to 1.10

Triggered by commit
6e2b87104fa9a5a87b129478c3196db0704daa91
03 Jun 2022 09:01:07
 files touched by this commit commit hash:fa7ab796131f5a73d093dc96ea6aad16a89de55a  15.0.0_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-bootsnap to rubygem-bootsnap111

- Bump PORTREVISION for dependency change
31 May 2022 15:49:39
 files touched by this commit commit hash:e6e83842d9749824da4e2da42f13b89883e73858  15.0.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
Author: VVD
www/gitlab-ce: added possibility to disabled kerberos

As this does not change the behaviour of port, no revision bump.

PR:		263688
27 May 2022 19:17:48
 files touched by this commit commit hash:35d750f806d4539ed73ccc03bc3d2e4cc14e9afa  15.0.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fixed broken patch file
27 May 2022 17:18:33
 files touched by this commit commit hash:3719f5e06662079e80fd9698370ef32a2b75469c  15.0.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: major update to 15.0.0

Changelog:
https://about.gitlab.com/releases/2022/05/22/gitlab-15-0-released/

This commit also includes a not so strict restriction on rails61.
This is not tested by gitlab itself, but my tests showed that it should work.
This fixes a regression introduced by:
2dd5a4751e19c9a02911d797d67fff6ec9f09da4

PR:		263688
13 May 2022 11:40:16
 files touched by this commit commit hash:14629c5c465d6456a6b1b8d0c04747123e598ce9  14.10.0_2 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-json to rubygem-json25

- Bump PORTREVISION for dependency change
26 Apr 2022 15:01:54
 files touched by this commit commit hash:217af8968cd618690a994d535e6b6628f26dcaf0  14.10.0_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-kramdown to rubygem-kramdown23

- Bump PORTREVISION for dependency change
22 Apr 2022 08:44:13
 files touched by this commit commit hash:0a21afb9691268d1160b9ed468595325cff94237  14.10.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: major upgrade to 14.10.0

Changelog:
https://gitlab.com/gitlab-org/gitlab-foss/-/blob/master/CHANGELOG.md

14.10.0 (2022-04-21)

Added (141 changes)

Add a dropdown to switch language in code blocks (merge request)

Wraps Jupyter Notebook Diff in a feature flag (merge request)

Track related epics blocked added on usage data (merge request) GitLab
Enterprise Edition
(Only the first 15 lines of the commit message are shown above View all of this commit message)
16 Apr 2022 04:19:52
 files touched by this commit commit hash:7021b73b4375ad1bd0f9657662f45a86adbce246  14.9.3_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-google-protobuf to
rubygem-google-protobuf319

- Bump PORTREVISION for dependency change
15 Apr 2022 03:32:42
 files touched by this commit commit hash:249d26c98100203b0115fc17e2bd9e7036b9b66c  14.9.3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 14.9.3

Changelog:
https://about.gitlab.com/releases/2022/04/12/gitlab-14-9-3-released/

MFH:		2022Q2
04 Apr 2022 15:19:38
 files touched by this commit commit hash:f4230594947dce3a85c6fd3391ab3f9492f46872  14.9.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security update to 14.9.2

Changelog:
https://about.gitlab.com/releases/2022/03/31/critical-security-release-gitlab-14-9-2-released/

MFH:		2022Q2
Security:	8657eedd-b423-11ec-9559-001b217b3468
31 Mar 2022 15:42:56
 files touched by this commit commit hash:43a46dbd320eb1873e586aec372537bc0d88853e  14.9.1_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix dep for devel/rubygem-fog-core210

This allows now to also use 2.1.0_1 of rubygem-fog-core210.
31 Mar 2022 15:42:56
 files touched by this commit commit hash:a628606be7cc43c35f8c2af1bf3e13ff44b5b8e0  14.9.1_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix dep to rubygem-redis-actionpack-rails61

Gitlab requires redis-actionpack < 5.3.
This fixes a regression by 02cb228542acaad368401d4d9c1e1c4e5d6c9b95
30 Mar 2022 07:01:44
 files touched by this commit commit hash:d690b5102f75bf70e3cfb280a84c9f3eaf4ec653  14.9.1_1 This port version is marked as vulnerable.
Guangyuan Yang (ygy) search for other commits by this committer
*/*: Bump PORTREVISION after lang/go 1.18 update
26 Mar 2022 07:44:07
 files touched by this commit commit hash:89dcd037621d39a5176b78e3976ecf692e088b10  14.9.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: relaxe dependency to devel/rubygem-bootsnap

This will fix build problems caused by a90d49a4e388ec5f2e6738e08ba23e0b3e9d3438
26 Mar 2022 07:44:06
 files touched by this commit commit hash:c617954a6bbee45b93954a1374a57b55e4a5e0b5  14.9.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: update to 14.9.0

Changelog:
https://about.gitlab.com/releases/2022/03/22/gitlab-14-9-released/

14.9.0 (2022-03-21)
Added (119 changes)
- [Toggle the related_epics_widge feature
flag](gitlab-org/gitlab@8f64bbbc5c485fcdb7453f3c42949a37e030a71f) ([merge
request](gitlab-org/gitlab!82333)) **GitLab Enterprise Edition**
- [Add Time to Restore Service DORA
metric](gitlab-org/gitlab@0ccf5b4ae6bca2fa1ea128228e14bb63153283ce) ([merge
request](gitlab-org/gitlab!82510)) **GitLab Enterprise Edition**
- [Added possiblity to create new token from the
UI](gitlab-org/gitlab@8f36ef50c87ea78e33409c3ddcbbb04782fa5e15) ([merge
request](gitlab-org/gitlab!82690))
- [Add param to Wiki REST endpoint to retrieve different page
versions](gitlab-org/gitlab@53b8b9fe4952d7c11a80cd52f4dab8e6d8bfa7de) ([merge
request](gitlab-org/gitlab!82838))
- [Add Harbor
integration](gitlab-org/gitlab@bcb79d53fd54e545cf80416beb77360e06262c22) by
@prajnamas ([merge request](gitlab-org/gitlab!80999))
- [MR widget: update merge commit message when default
changed](gitlab-org/gitlab@b005b8e80ba8691ec24a5063e4a133d21e56532e) by @trakos
([merge request](gitlab-org/gitlab!77425))
- [Support agent registration without
config](gitlab-org/gitlab@388f87faad5adf5c68ba4850a82b1d4433290b0f) ([merge
request](gitlab-org/gitlab!82036))
- [Add `RestrictGitlabSchema` that enforces
`restrict_gitlab_migration`](gitlab-org/gitlab@6bdac41133bebcf66c308dc31f589046b1dc0725)
([merge request](gitlab-org/gitlab!73756))
(Only the first 15 lines of the commit message are shown above View all of this commit message)
26 Mar 2022 07:44:06
 files touched by this commit commit hash:620f713d57305379675b78682e116261639c3dc3  14.9.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 14.9.1

Changelog:
https://about.gitlab.com/releases/2022/03/23/gitlab-14-9-1-released/

14.9.1 (2022-03-23)
Fixed (1 change)

- [Fix backups not working when feature_flags table does not
exist](gitlab-org/gitlab@4cc3cd6cf6eb256a9837ef92a6fdb4991cd1642c) ([merge
request](gitlab-org/gitlab!83388))

Changed (1 change)

- [Alias user_email_lookup_limit to
search_rate_limit](gitlab-org/gitlab@424c277fc4c994df60ea68acb8988537526108e4)
([merge request](gitlab-org/gitlab!83388))
20 Mar 2022 07:18:06
 files touched by this commit commit hash:04adada4a590c9ee9130eb1ea4dd57179d792b70  14.8.4 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 14.8.4

Changelog:
https://about.gitlab.com/releases/2022/03/15/gitlab-14-8-3-released/
https://about.gitlab.com/releases/2022/03/16/gitlab-14-8-4-released/

14.8.3 (2022-03-14)

Fixed (3 changes)

Fix rake task to setup the Geo tracking database (merge request) GitLab
Enterprise Edition

Fix handling of resource iteration events when deleting a User (merge request)
GitLab Enterprise Edition

Ensure cleanup job artifacts task does not include pipeline artifacts (merge
request)
(Only the first 15 lines of the commit message are shown above View all of this commit message)
10 Mar 2022 16:47:12
 files touched by this commit commit hash:ccc9d98b47ff35cda47a10094e7777d962c48108  14.8.2_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
Author: VVD
www/gitlab-ce: add option to remove kerberos dep

I understand that this option can be helpful, but I do not suggest to use it.
If it breaks due to new version and the patch does not apply anymore,
please send a PR then I will update this feature accordingly.

But I will not testbuild gitlab with many option combinations.
PR:		262191
09 Mar 2022 10:07:56
 files touched by this commit commit hash:d45ce823b33f09815dd6549a1b974e31e6c1d77c  14.8.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Update to 14.8.0

Changelog:
https://about.gitlab.com/releases/2022/02/22/gitlab-14-8-released/

GitLab chart improvements (self-managed only): Cloud Native Installation

Omnibus improvements (self-managed only): Omnibus Package

Invite members and groups by using a modal: Authentication and Authorization

Manage

Delete groups at the parent group level: Subgroups
(Only the first 15 lines of the commit message are shown above View all of this commit message)
09 Mar 2022 10:07:56
 files touched by this commit commit hash:c23808a15234917edbdcaa8b366eabb0759b0eed  14.8.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: disable database migration check for Google::Apis::VERSION 0.50.0

Current package version is using rubygem-google-api-client-0.53.0.
Executing the database migration will show:
```
rake aborted!
NameError: uninitialized constant Google::Apis::VERSION
Did you mean?  VersionCheck
/usr/local/www/gitlab-ce/config/initializers/google_api_client_patch.rb:5:in
`<top (required)>'
/usr/local/www/gitlab-ce/config/environment.rb:7:in `<top (required)>'
Tasks: TOP => db:migrate => db:load_config => environment
(See full trace by running task with --trace)
```

I tested it successfully with version 0.53.0.
09 Mar 2022 10:07:56
 files touched by this commit commit hash:86f62d30a8b515d314db36c82e6bab75a2311159  14.8.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 14.8.2

Changelog:
https://about.gitlab.com/releases/2022/02/23/gitlab-14-8-1-released/
https://about.gitlab.com/releases/2022/02/25/critical-security-release-gitlab-14-8-2-released/
https://gitlab.com/gitlab-org/gitlab-foss/-/blob/master/CHANGELOG.md

14.8.2 (2022-02-25)

Security (8 changes)

Limit commands_changes to certain keys (merge request)

Add runners_token prefix to Group and Project (merge request)
(Only the first 15 lines of the commit message are shown above View all of this commit message)
09 Mar 2022 10:07:54
 files touched by this commit commit hash:d8be9a4007adac910482efb6282294ad0a536873  14.7.3_2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: depend on redis in startup script

This ensures that gitlab is not started before redis is available.
PR:		262338
Reported by:	majo-bugs.freebsd.org@cerny.sk
07 Mar 2022 18:13:24
 files touched by this commit commit hash:4dddfcfb3fde439ac41ecb97edc985b5642882ce  14.7.3_2 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-rouge to rubygem-rouge327

- Bump PORTREVISION for dependency change
28 Feb 2022 12:46:43
 files touched by this commit commit hash:f905389a7c8a4978940dacf55e0ba9d776847681  14.7.3_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-grape to rubygem-grape15

- Bump PORTREVISION for dependency change
15 Feb 2022 15:32:52
 files touched by this commit commit hash:756202cc7b0e4dfc66f41e756eed9f3a38aec168  14.7.3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 14.7.3

Changelog:
https://about.gitlab.com/releases/2022/02/08/gitlab-14-7-2-released/
https://about.gitlab.com/releases/2022/02/14/gitlab-14-7-3-released/

GitLab Community Edition and Enterprise Edition

    Create 14.7 What's New entry
    Fix cluster integration HTTP adapter
    Revert "Merge branch 'wc-gitaly-keepalive-limit' into 'master'"
    Fix broken mermaid diagrams
    GitLab Version - CE Admin Dashboard [RUN ALL RSPEC] [RUN AS-IF-FOSS]
    Geo: Fix verification failures of remote stored files
    Update to ruby-magic v0.5.4
(Only the first 15 lines of the commit message are shown above View all of this commit message)
05 Feb 2022 07:55:37
 files touched by this commit commit hash:1737af6ba4a31776bbdd4b896585b50ee3457679  14.7.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security update to 14.7.1

Changelog:
https://about.gitlab.com/releases/2022/02/03/security-release-gitlab-14-7-1-released/

Security:	3507bfb3-85d5-11ec-8c9c-001b217b3468
28 Jan 2022 23:27:02
 files touched by this commit commit hash:020e3948bb580003dab40819de5dcc24564e46ca  14.7.0 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Fix version requirement of RUN_DEPENDS

from Gemfile:
gem 'sidekiq', '~> 6.3'

Reference:	https://gitlab.com/gitlab-org/gitlab-foss/-/blob/v14.7.0/Gemfile#L198
26 Jan 2022 10:43:02
 files touched by this commit commit hash:d87992a6174b82811a3caf678647784d77c1c045  14.7.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix database migration

The current gitlab version misses a gem, we add it here.
Refer to:
https://gitlab.com/gitlab-org/gitlab/-/issues/350866
26 Jan 2022 10:43:01
 files touched by this commit commit hash:7f5c1fd58ab53af05129c4dbeb96a6a6e6fffe38  14.7.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: major update to 14.7.0

Changelog:
https://about.gitlab.com/releases/2022/01/22/gitlab-14-7-released/
25 Jan 2022 19:51:16
 files touched by this commit commit hash:4966e2cad00e156be4747f90f6b7ff3d21e555ce  14.6.3_2 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-bootsnap to rubygem-bootsnap19

- Bump PORTREVISION for dependency change
23 Jan 2022 19:09:47
 files touched by this commit commit hash:94e0be9258523b72a706dcea9a28aa62c90f1889  14.6.3_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-mini_magick to
rubygem-mini_magick410

- Bump PORTREVISION for dependency change
21 Jan 2022 14:00:19
 files touched by this commit commit hash:f54e59f3051a7ee6d0a2f9f814f591b38d988642  14.6.3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: bugfix update to 14.6.3

Changelog:
https://about.gitlab.com/releases/2022/01/17/gitlab-14-6-3-released/
20 Jan 2022 14:55:27
 files touched by this commit commit hash:2d48a02b9f50f9c21f3a6ebbe42e160bccb55426  14.6.2 This port version is marked as vulnerable.
Stefan Eßer (se) search for other commits by this committer
www/gitlab-ce: fix CONFLICTS_INSTALL
13 Jan 2022 11:46:14
 files touched by this commit commit hash:07951f933a207f50c0e8553932abb0ef8c39165e  14.6.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security update to 14.6.2

Changelog:
https://about.gitlab.com/releases/2022/01/04/gitlab-14-6-1-released/
https://about.gitlab.com/releases/2022/01/11/security-release-gitlab-14-6-2-released/

MFH:		2022Q1
Security:	43f84437-73ab-11ec-a587-001b217b3468
11 Jan 2022 18:47:50
 files touched by this commit commit hash:1c075990afdccf6f0fd1c0c4ae78ce886ccff5ac  14.6.0_2 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-rouge to rubygem-rouge326

- Bump PORTREVISION for dependency change
11 Jan 2022 18:47:50
 files touched by this commit commit hash:bb09348955c58d006bd0d3ef54fb67735b9083d3  14.6.0_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Fix build with rubygem-rails61 6.1.4.4 update

- Fix version requirement of RUN_DEPENDS

from Gemfile:
gem 'rails', '~> 6.1.4.1'

Reference:	https://gitlab.com/gitlab-org/gitlab-foss/-/blob/v14.6.0/Gemfile#L5
27 Dec 2021 09:04:03
 files touched by this commit commit hash:888fb1e9677f7d1bb2f99894bca04101d4d070dd  14.6.0_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix rubygem-rdoc problem

The upgrade of rubygem-rdoc to 6.4 in commit
1a6659dcb611aab06e7e9ba3adee8c81ce3f9d93
broke gitlab.
Use version rdoc 6.4 does not work due to segfaults, please see
commit log of devel/rubygem-rdoc63 for more details.

PR:		260679
Reported by:	lysfjord.daniel@smokepit.net
22 Dec 2021 17:04:26
 files touched by this commit commit hash:a59c3bf8a31f17d91f05b0ef628ba3e0f78e912f  14.6.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: update to 14.6.0

Changelog:
https://about.gitlab.com/releases/2021/12/22/gitlab-14-6-released/
21 Dec 2021 18:54:55
 files touched by this commit commit hash:a10efd41d81d5b2cf51c082294ac8c3d8921a11f  14.5.2_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-sidekiq to rubygem-sidekiq62

- Bump PORTREVISION for dependency change
07 Dec 2021 08:05:25
 files touched by this commit commit hash:4ee40604ccb992c872c28f6b372dc93439f10bc6  14.5.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security update to 14.5.2

Changelog:
https://about.gitlab.com/releases/2021/12/06/security-release-gitlab-14-5-2-released/

Security:	b299417a-5725-11ec-a587-001b217b3468
04 Dec 2021 12:07:29
 files touched by this commit commit hash:59c3b95df7f36c76360bcbf889e040df9260702f  14.5.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: update to 14.5.1

Changelog:
https://about.gitlab.com/releases/2021/11/22/gitlab-14-5-released/
https://about.gitlab.com/releases/2021/12/01/gitlab-14-5-1-released/
25 Nov 2021 21:40:11
 files touched by this commit commit hash:04b9da414081a733478d3def4e1e3777908536c6  14.4.2_2 This port version is marked as vulnerable.
Stefan Eßer (se) search for other commits by this committer
*/*: Remove redundant '-*' from CONFLICTS definitions

The conflict checks compare the patterns first against the package
names without version (as reported by "pkg query "%n"), then - if
there was no match - agsinst the full package names including the
version (as reported by "pkg query "%n-%v").

Approved by: portmgr (blanket)
22 Nov 2021 15:17:58
 files touched by this commit commit hash:0bbacd67dc435bd595e7ef204fb002e2ee2df210  14.4.2_2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix segfaults

Accessing the project page or doing anything that is related to a license
file caused segfault in gitaly.
Upgrading now the gems to this specific version fixed the problem.
As we need to use a prerelease of rubygem-grpc, it is added as extra port.

Please see also upstream here:
https://gitlab.com/gitlab-org/gitlab/-/issues/345693

PR:		259848
Reported by:	admin@asu-vei.ru
19 Nov 2021 14:37:42
 files touched by this commit commit hash:0aac4480b2555d806f449b77e755cf7cfd616707  14.4.2_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Use grpc 1.30.2

We currently see problems and gitlab suggested to use grpc 1.30.2:
https://gitlab.com/gitlab-org/gitlab/-/issues/345693#note_734676746

Newer version of grpc and google-protobuf have known bugs.

The open bug that license files cannot not be handled is tracked here:
https://gitlab.com/gitlab-org/gitlab/-/issues/345693
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259848
13 Nov 2021 14:52:08
 files touched by this commit commit hash:04b93d19f5f78cac3b1c2a088440e24f556f8d50  14.4.2_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: use new version of snowplow-tracker

The new version of snowplow-tracker does not have any dependency anymore
13 Nov 2021 14:44:45
 files touched by this commit commit hash:73b8be01a1957162d7635f299842c8bd29b691ca  14.4.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: upgrade to 14.4.2

Changelog:
https://about.gitlab.com/releases/2021/11/08/gitlab-14-4-2-released/
13 Nov 2021 14:44:44
 files touched by this commit commit hash:eca633b7381c632c8829d69f4ee83649c55c4b33  14.4.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: security upgrade to 14.4.1

This version has a problem showing files like .md files (e.g. README.md on the
start page of a project).
But as this bug is already present on version 14.4.0
I will deploy this now, to fix the security problems.
We need to find the source why this happens and fix it later.

Changelog:
https://about.gitlab.com/releases/2021/10/28/security-release-gitlab-14-4-1-released/

Security:       33557582-3958-11ec-90ba-001b217b3468
12 Nov 2021 05:54:51
 files touched by this commit commit hash:f4ffcdfe611a0e2147bbcb9697ecdffb4538acb7  14.4.0_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
*/*: use new nodejs USES flag

Simply define which nodejs version is required using the nodejs USES flag.

PR:                     259783
Differential Revision:	https://reviews.freebsd.org/D32790
29 Oct 2021 06:33:39
 files touched by this commit commit hash:12cce839321eee9e5c745a71af56c8bdf556da39  14.4.0_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Fix sidekiq-cron problem disable log to console

The FreeBSD ports is having sidekiq-cron gem version 1.2 which is not
compatible with gitlab yet.
See issue:
https://gitlab.com/gitlab-org/gitlab/-/issues/343695
Following MR is included:
https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73093
29 Oct 2021 06:33:39
 files touched by this commit commit hash:fcfd49ce7c4f924f4ba517114609662d030357b1  14.4.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: force gitlab-ce to use node16

As www/node was upgrade to version 17 it causes the upgrade process
of gitlab-ce to fail. Gitlab requires yarn which requires node
but the modules gitlab is using are not supporting node 17 yet.
27 Oct 2021 06:20:37
 files touched by this commit commit hash:46b95c05501c643fada4e953533f5eb9ff3caba6  14.4.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Update to 14.4.0

Changelog:
https://about.gitlab.com/releases/2021/10/22/gitlab-14-4-released/

I included the following patch to fix a problem with
sidekiq-cron gem version 1.2.0:
https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73093
27 Oct 2021 06:20:37
 files touched by this commit commit hash:5ca638b2b17e9da2636d5901235d3bf0d5be1738  14.4.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
databases/rubygem-redis44: make version 4.4.x available

Required for gitlab-ce.
27 Oct 2021 06:20:24
 files touched by this commit commit hash:4a7e890e91522896eb83f1c2f278ce0414175333  14.3.2_3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
*/*: Revert "*/*: Make rails 6.1.3 available"

This reverts commit f4511dc4a7c439b30c898b75246d314a574f01cb.
Add MOVED entries.
These ports are not required anymore as gitlab 14.4.0 has upgrade
now to rails 6.1.4.1.
05 Oct 2021 10:24:07
 files touched by this commit commit hash:c5ec57f9363c81d07601b1d921ce8048c35e4abf  14.3.2_3 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Readded a by mistake removed directory for PLIST
05 Oct 2021 10:14:41
 files touched by this commit commit hash:2c47b503373d7c6c29cf94a2756f4179828f60c0  14.3.2_2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: fix default backup configuration

PR:		258922
05 Oct 2021 07:40:04
 files touched by this commit commit hash:f4511dc4a7c439b30c898b75246d314a574f01cb  14.3.2_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
*/*: Make rails 6.1.3 available

The upgrade of rails to 6.1.4 broke www/gitlab-ce.
PR:		258855
05 Oct 2021 07:40:03
 files touched by this commit commit hash:7dcb3ca59065e8f1c74bbed2f64f3bc8100bbc18  14.3.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Revert unapproved modification that broke gitlab
02 Oct 2021 07:49:36
 files touched by this commit commit hash:c7a5935b859e0598f4b9ebcc08a5fcb0eebfc4c6  14.3.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Bugfix update 14.3.2

Changelog:
https://about.gitlab.com/releases/2021/10/01/gitlab-14-3-2-released/
01 Oct 2021 14:53:39
 files touched by this commit commit hash:96e60ab5270da77331e623d6e25635301b101aeb  14.3.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 14.3.1

Changelog:
https://about.gitlab.com/releases/2021/09/30/security-release-gitlab-14-3-1-released/

Security:	1bdd4db6-2223-11ec-91be-001b217b3468
27 Sep 2021 15:56:30
 files touched by this commit commit hash:bb4b4cf9ca48617f4dc8f888ee65e0717637ccd0  14.3.0_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Fix Gemfile for rubygem-rails61 6.1.4.1 update

- Bump PORTREVISION for package change
23 Sep 2021 19:42:07
 files touched by this commit commit hash:fa814a6e9e3d770ffec356a07b3ed381a2e385b0  14.3.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Update to 14.3.0

Changelog:
https://about.gitlab.com/releases/2021/09/22/gitlab-14-3-released/
21 Sep 2021 03:47:28
 files touched by this commit commit hash:c7b293aff6fb18b5ad0e5afd0e258b1a5222771e  14.2.2_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-google-protobuf to
rubygem-google-protobuf317

- Bump PORTREVISION for dependency change
31 Aug 2021 21:20:15
 files touched by this commit commit hash:4edd9ea5d5ced64dbefab85fab25db83f914968f  14.2.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 14.2.2

Changelog:
https://about.gitlab.com/releases/2021/08/31/security-release-gitlab-14-2-2-released/

Security:	6c22bb39-0a9a-11ec-a265-001b217b3468
31 Aug 2021 09:54:32
 files touched by this commit commit hash:2f757d6c4401f88ceef7ed05d9583de44159fb62  14.2.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Update to 14.2.1

Changelog:
https://about.gitlab.com/releases/2021/08/22/gitlab-14-2-released/
https://about.gitlab.com/releases/2021/08/23/gitlab-14-2-1-released/
16 Aug 2021 15:33:19
 files touched by this commit commit hash:c2977d6d6670065a2c3fb002f3241e326edf2c86  14.1.2 This port version is marked as vulnerable.
Gleb Popov (arrowd) search for other commits by this committer
www/gitlab-ce: Remove ?= assignments.

There was a slave port planned in https://reviews.freebsd.org/D25763 , but
I gave up on it.
04 Aug 2021 08:29:40
 files touched by this commit commit hash:ad51d83d0c1f79bf52e0ab4319022fbf367ecba2  14.1.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 14.1.2

Changelog:
https://about.gitlab.com/releases/2021/08/03/security-release-gitlab-14-1-2-released/

Security:	1d651770-f4f5-11eb-ba49-001b217b3468
31 Jul 2021 14:19:17
 files touched by this commit commit hash:7dac4c3477587656ddf7ab292927ab36c0f26b7f  14.1.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Bugfix update to 14.1.1

Changelog:
https://about.gitlab.com/releases/2021/07/28/gitlab-14-1-1-released/
24 Jul 2021 07:08:06
 files touched by this commit commit hash:3729fba860ebf1802b3883e7ca7e32ac9d35a210  14.1.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Update to 14.1.0

Changelog:
https://about.gitlab.com/releases/2021/07/22/gitlab-14-1-released/
19 Jul 2021 11:22:22
 files touched by this commit commit hash:111056fb15b76cde45100df1a1495604be740447  14.0.5_2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Autogenerate PLIST

Most of the work was done by bofh, I had only to fix some small issues.
15 Jul 2021 20:47:44
 files touched by this commit commit hash:cf666b172715d62e16d5277baf14b9d40269dc4a  14.0.5_2 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-flipper to rubygem-flipper021

- Bump PORTREVISION for dependency change
14 Jul 2021 16:11:01
 files touched by this commit commit hash:2f755c7a5eb0b8eceedb1105951415175a77bde8  14.0.5_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-omniauth to rubygem-omniauth1

- Bump PORTREVISION for dependency change
10 Jul 2021 08:09:29
 files touched by this commit commit hash:5f4b94a21377a8e580cebf0e9f6a92e183dc4c55  14.0.5 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Bugfix update to 14.0.5

Changelog:
https://about.gitlab.com/releases/2021/07/08/gitlab-14-0-5-released/
MFH:		2021Q3
08 Jul 2021 06:49:58
 files touched by this commit commit hash:8d5ba0cec7367f31aeb9eb25dd8804536b0c1c8e  14.0.4 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 14.0.4

Changelog:
https://about.gitlab.com/releases/2021/07/07/critical-security-release-gitlab-14-0-4-released/

Security:	01974420-dfaf-11eb-ba49-001b217b3468
06 Jul 2021 09:52:35
 files touched by this commit commit hash:943cc2e9f0474989ac172ceeef8994265e3dddb6  14.0.2_2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
databases/rubygem-pg_query: Update to 2.1.0

This upgrade included patches upstream.
Changelog:
https://github.com/pganalyze/pg_query/blob/main/CHANGELOG.md
03 Jul 2021 07:50:19
 files touched by this commit commit hash:da75672c1fa6ed42eb2413b52aa7bcb0b1117ed3  14.0.2_1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Fixed problem with asset compilation

The old autoprefixer gem used by gitlab cause at the upgrade the
following error message (cause by newer execjs gem):
Done in 0.68s.
rake aborted!
ExecJS::ProgramError: TypeError: Cannot read property 'version' of undefined
eval (eval at <anonymous> ((execjs):1:213), <anonymous>:1:10)
(execjs):1:213
(execjs):19:14
(execjs):1:40
Object.<anonymous> ((execjs):1:58)
Module._compile (node:internal/modules/cjs/loader:1109:14)
Object.Module._extensions..js (node:internal/modules/cjs/loader:1138:10)
Module.load (node:internal/modules/cjs/loader:989:32)
Function.Module._load (node:internal/modules/cjs/loader:829:14)
Function.executeUserEntryPoint [as runMain]
(node:internal/modules/run_main:76:12)
/usr/local/www/gitlab-ce/lib/gitlab/task_helpers.rb:18:in `invoke_and_time_task'
/usr/local/www/gitlab-ce/lib/tasks/gitlab/assets.rake:59:in `each'
/usr/local/www/gitlab-ce/lib/tasks/gitlab/assets.rake:59:in `block (3 levels) in
<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'
Tasks: TOP => assets:precompile
(See full trace by running task with --trace)
03 Jul 2021 06:03:25
 files touched by this commit commit hash:a0e1c4944ab9197944fe505c000d52bf7a644067  14.0.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security update to 14.0.2

Changelog:
https://about.gitlab.com/releases/2021/07/01/security-release-gitlab-14-0-2-released/
Security:	8ba8278d-db06-11eb-ba49-001b217b3468
03 Jul 2021 06:03:23
 files touched by this commit commit hash:e98b6d8455a815d1bd6099e58a727b1cc24ee083  14.0.1 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Patch update to 14.0.1.

Changelog:
https://about.gitlab.com/releases/2021/06/24/gitlab-14-0-1-released/
03 Jul 2021 06:03:23
 files touched by this commit commit hash:ef4b2158071b50bec91852efdca886d5c35bd72c  14.0.0 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Major upgrade to 14.0.0.

Make sure you upgrade first to 13.12.2, otherwise you will lose your
advanced search index.
Upgrade instructions as usual:
https://gitlab.fechner.net/mfechner/Gitlab-docu/-/blob/master/update/13.12-14.0-freebsd.md

Changelog:
https://about.gitlab.com/releases/2021/06/22/gitlab-14-0-released/
10 Jun 2021 14:46:24
 files touched by this commit commit hash:1856abfe7ca79100f77a771511f155fcbd2b3ecd  13.12.2_1 This port version is marked as vulnerable.
Po-Chuan Hsieh (sunpoet) search for other commits by this committer
www/gitlab-ce: Change RUN_DEPENDS from rubygem-rack-proxy to
rubygem-rack-proxy06

- Bump PORTREVISION for dependency change
01 Jun 2021 22:37:26
 files touched by this commit commit hash:5b56d04e28e5561d6e694f6c3cc7ec269dbb7b1c  13.12.2 This port version is marked as vulnerable.
Matthias Fechner (mfechner) search for other commits by this committer
www/gitlab-ce: Security related update to 13.12.2.

Changelog:
https://about.gitlab.com/releases/2021/06/01/security-release-gitlab-13-12-2-released/

Number of commits found: 329 (showing only 100 on this page)

1 | 2 | 3 | 4  »